Delete a folder
curl --request DELETE \
--url https://api.linkutm.com/api/v1/folders/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.linkutm.com/api/v1/folders/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.linkutm.com/api/v1/folders/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.linkutm.com/api/v1/folders/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.linkutm.com/api/v1/folders/{id}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.linkutm.com/api/v1/folders/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.linkutm.com/api/v1/folders/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Paid campaigns",
"color": "#f97316",
"isDefault": true,
"isSystem": true,
"isActive": true,
"parentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdById": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updatedById": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"_count": {
"links": 12
}
}{
"statusCode": 400,
"message": [
"Folder name is required"
],
"error": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid or expired API key",
"error": "Unauthorized"
}{
"statusCode": 403,
"message": "Tags & Folders feature is not available on your current plan. Please upgrade.",
"error": "Forbidden"
}{
"statusCode": 404,
"message": "Folder not found",
"error": "Not Found"
}{
"statusCode": 500,
"message": "Internal server error"
}Folders
Delete a folder
Delete a folder. Its links move to the workspace’s system folder. If it was the default folder, the system folder becomes the default.
DELETE
/
folders
/
{id}
Delete a folder
curl --request DELETE \
--url https://api.linkutm.com/api/v1/folders/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.linkutm.com/api/v1/folders/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.linkutm.com/api/v1/folders/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.linkutm.com/api/v1/folders/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.linkutm.com/api/v1/folders/{id}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.linkutm.com/api/v1/folders/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.linkutm.com/api/v1/folders/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Paid campaigns",
"color": "#f97316",
"isDefault": true,
"isSystem": true,
"isActive": true,
"parentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdById": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updatedById": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"_count": {
"links": 12
}
}{
"statusCode": 400,
"message": [
"Folder name is required"
],
"error": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid or expired API key",
"error": "Unauthorized"
}{
"statusCode": 403,
"message": "Tags & Folders feature is not available on your current plan. Please upgrade.",
"error": "Forbidden"
}{
"statusCode": 404,
"message": "Folder not found",
"error": "Not Found"
}{
"statusCode": 500,
"message": "Internal server error"
}Authorizations
ApiKeyAuthBearerAuth
Response
The deleted folder.